"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchModule = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const common_1 = require("../common");
const search_contextkey_1 = require("./search-contextkey");
const search_preferences_1 = require("./search-preferences");
const search_contribution_1 = require("./search.contribution");
const search_service_1 = require("./search.service");
const search_tree_service_1 = require("./tree/search-tree.service");
let SearchModule = class SearchModule extends ide_core_browser_1.BrowserModule {
    constructor() {
        super(...arguments);
        this.providers = [
            {
                token: search_contextkey_1.SearchContextKey,
                useClass: search_contextkey_1.SearchContextKey,
            },
            {
                token: common_1.IContentSearchClientService,
                useClass: search_service_1.ContentSearchClientService,
            },
            {
                token: common_1.ISearchTreeService,
                useClass: search_tree_service_1.SearchTreeService,
            },
            search_contribution_1.SearchContribution,
        ];
        this.backServices = [
            {
                servicePath: common_1.ContentSearchServerPath,
                clientToken: common_1.IContentSearchClientService,
            },
        ];
        this.preferences = search_preferences_1.bindSearchPreference;
    }
};
SearchModule = tslib_1.__decorate([
    (0, di_1.Injectable)()
], SearchModule);
exports.SearchModule = SearchModule;
//# sourceMappingURL=index.js.map